skip !0 exec $(INDEXER) --checkconf  $(UDM_TEST_DIR)/indexer.conf 1>&2

#
# Testing without CachedCopyEncoding
#
fail 20 exec $(INDEXER) --drop   $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) --create $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) --crawl  -v 6 $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) --crawl  -v 6 $(UDM_TEST_DIR)/bug749.conf 1>&2
fail !0 exec $(INDEXER) --index  -v 6 $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) --sqlmon $(UDM_TEST_DIR)/indexer.conf < $(UDM_TEST_DIR)/query.tst > $(UDM_TEST_DIR)/query.rej
fail !0 mdiff $(UDM_TEST_DIR)/query.res $(UDM_TEST_DIR)/query.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/query.rej

fail !0 exec $(SEARCHSTD) text > $(UDM_TEST_DIR)/search.rej
fail !0 mdiff $(UDM_TEST_DIR)/search.res $(UDM_TEST_DIR)/search.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/search.rej

fail !0 exec $(SEARCHSTD) "text&cc=1&amp;URL=http:%2F%2Fsite%2F%3Fa=b%26c=d" > $(UDM_TEST_DIR)/cached.rej
fail !0 exec $(SEARCHSTD) "text&cc=1&amp;URL=http:%2F%2Fsite%2Ftest01.txt"  >> $(UDM_TEST_DIR)/cached.rej
fail !0 exec $(SEARCHSTD) "%C4+%D6+%DC&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.utf8.html"   >> $(UDM_TEST_DIR)/cached.rej
fail !0 exec $(SEARCHSTD) "%C4+%D6+%DC&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.utf8.txt"    >> $(UDM_TEST_DIR)/cached.rej
fail !0 exec $(SEARCHSTD) "%C4+%D6+%DC&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.latin1.html" >> $(UDM_TEST_DIR)/cached.rej
fail !0 exec $(SEARCHSTD) "%C4+%D6+%DC&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.latin1.txt"  >> $(UDM_TEST_DIR)/cached.rej
fail !0 exec $(SEARCHSTD) "text&cc=1&amp;URL=http:%2F%2Fsite%2Fnonexistent.txt"  >> $(UDM_TEST_DIR)/cached.rej

# bcs=utf8
fail !0 exec $(SEARCHSTD) "%C3%84+%C3%96+%C3%9C&lcs=latin1&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.utf8.html"   >> $(UDM_TEST_DIR)/cached.rej
fail !0 exec $(SEARCHSTD) "%C3%84+%C3%96+%C3%9C&lcs=latin1&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.utf8.txt"    >> $(UDM_TEST_DIR)/cached.rej
fail !0 exec $(SEARCHSTD) "%C3%84+%C3%96+%C3%9C&lcs=latin1&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.latin1.html" >> $(UDM_TEST_DIR)/cached.rej
fail !0 exec $(SEARCHSTD) "%C3%84+%C3%96+%C3%9C&lcs=latin1&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.latin1.txt"  >> $(UDM_TEST_DIR)/cached.rej

fail !0 exec $(SEARCHSTD) "%C3%84+%C3%96+%C3%9C&lcs=utf-8&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.utf8.html"   >> $(UDM_TEST_DIR)/cached.rej
fail !0 exec $(SEARCHSTD) "%C3%84+%C3%96+%C3%9C&lcs=utf-8&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.utf8.txt"    >> $(UDM_TEST_DIR)/cached.rej
fail !0 exec $(SEARCHSTD) "%C3%84+%C3%96+%C3%9C&lcs=utf-8&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.latin1.html" >> $(UDM_TEST_DIR)/cached.rej
fail !0 exec $(SEARCHSTD) "%C3%84+%C3%96+%C3%9C&lcs=utf-8&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.latin1.txt"  >> $(UDM_TEST_DIR)/cached.rej

fail !0 exec $(SEARCHSTD) "%C3%84+%C3%96+%C3%9C&lcs=koi8-r&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.utf8.html"   >> $(UDM_TEST_DIR)/cached.rej
fail !0 exec $(SEARCHSTD) "%C3%84+%C3%96+%C3%9C&lcs=koi8-r&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.utf8.txt"    >> $(UDM_TEST_DIR)/cached.rej
fail !0 exec $(SEARCHSTD) "%C3%84+%C3%96+%C3%9C&lcs=koi8-r&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.latin1.html" >> $(UDM_TEST_DIR)/cached.rej
fail !0 exec $(SEARCHSTD) "%C3%84+%C3%96+%C3%9C&lcs=koi8-r&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.latin1.txt"  >> $(UDM_TEST_DIR)/cached.rej

# bcs=koi8-r

fail !0 exec $(SEARCHSTD) "%26%23196%3B+%26%23214%3B+%26%23220%3B&lcs=latin1&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.utf8.html"   >> $(UDM_TEST_DIR)/cached.rej
fail !0 exec $(SEARCHSTD) "%26%23196%3B+%26%23214%3B+%26%23220%3B&lcs=latin1&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.utf8.txt"    >> $(UDM_TEST_DIR)/cached.rej
fail !0 exec $(SEARCHSTD) "%26%23196%3B+%26%23214%3B+%26%23220%3B&lcs=latin1&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.latin1.html" >> $(UDM_TEST_DIR)/cached.rej
fail !0 exec $(SEARCHSTD) "%26%23196%3B+%26%23214%3B+%26%23220%3B&lcs=latin1&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.latin1.txt"  >> $(UDM_TEST_DIR)/cached.rej

fail !0 exec $(SEARCHSTD) "%26%23196%3B+%26%23214%3B+%26%23220%3B&lcs=utf-8&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.utf8.html"   >> $(UDM_TEST_DIR)/cached.rej
fail !0 exec $(SEARCHSTD) "%26%23196%3B+%26%23214%3B+%26%23220%3B&lcs=utf-8&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.utf8.txt"    >> $(UDM_TEST_DIR)/cached.rej
fail !0 exec $(SEARCHSTD) "%26%23196%3B+%26%23214%3B+%26%23220%3B&lcs=utf-8&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.latin1.html" >> $(UDM_TEST_DIR)/cached.rej
fail !0 exec $(SEARCHSTD) "%26%23196%3B+%26%23214%3B+%26%23220%3B&lcs=utf-8&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.latin1.txt"  >> $(UDM_TEST_DIR)/cached.rej

fail !0 exec $(SEARCHSTD) "%26%23196%3B+%26%23214%3B+%26%23220%3B&lcs=koi8-r&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.utf8.html"   >> $(UDM_TEST_DIR)/cached.rej
fail !0 exec $(SEARCHSTD) "%26%23196%3B+%26%23214%3B+%26%23220%3B&lcs=koi8-r&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.utf8.txt"    >> $(UDM_TEST_DIR)/cached.rej
fail !0 exec $(SEARCHSTD) "%26%23196%3B+%26%23214%3B+%26%23220%3B&lcs=koi8-r&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.latin1.html" >> $(UDM_TEST_DIR)/cached.rej
fail !0 exec $(SEARCHSTD) "%26%23196%3B+%26%23214%3B+%26%23220%3B&lcs=koi8-r&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.latin1.txt"  >> $(UDM_TEST_DIR)/cached.rej

fail !0 mdiff $(UDM_TEST_DIR)/cached.res $(UDM_TEST_DIR)/cached.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/cached.rej


#
# Testing with "CachedCopyEncoding identity"
#
fail !0 exec $(INDEXER) -Cw      -v 6 $(UDM_TEST_DIR)/indexer2.conf 1>&2
fail !0 exec $(INDEXER) --crawl  -v 6 $(UDM_TEST_DIR)/indexer2.conf 1>&2
fail !0 exec $(INDEXER) --index  -v 6 $(UDM_TEST_DIR)/indexer2.conf 1>&2
fail !0 exec $(INDEXER) --sqlmon $(UDM_TEST_DIR)/indexer2.conf < $(UDM_TEST_DIR)/query.tst > $(UDM_TEST_DIR)/query2.rej
fail !0 mdiff $(UDM_TEST_DIR)/query2.res $(UDM_TEST_DIR)/query2.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/query2.rej

fail !0 exec $(SEARCHSTD) text > $(UDM_TEST_DIR)/search2.rej
fail !0 mdiff $(UDM_TEST_DIR)/search.res $(UDM_TEST_DIR)/search2.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/search2.rej

fail !0 exec $(SEARCHSTD) "text&cc=1&amp;URL=http:%2F%2Fsite%2F%3Fa=b%26c=d" > $(UDM_TEST_DIR)/cached2.rej
fail !0 exec $(SEARCHSTD) "text&cc=1&amp;URL=http:%2F%2Fsite%2Ftest01.txt"  >> $(UDM_TEST_DIR)/cached2.rej
fail !0 exec $(SEARCHSTD) "%C4+%D6+%DC&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.utf8.html"   >> $(UDM_TEST_DIR)/cached2.rej
fail !0 exec $(SEARCHSTD) "%C4+%D6+%DC&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.utf8.txt"    >> $(UDM_TEST_DIR)/cached2.rej
fail !0 exec $(SEARCHSTD) "%C4+%D6+%DC&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.latin1.html" >> $(UDM_TEST_DIR)/cached2.rej
fail !0 exec $(SEARCHSTD) "%C4+%D6+%DC&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.latin1.txt"  >> $(UDM_TEST_DIR)/cached2.rej
fail !0 exec $(SEARCHSTD) "text&cc=1&amp;URL=http:%2F%2Fsite%2Fnonexistent.txt"  >> $(UDM_TEST_DIR)/cached2.rej

# bcs=utf8
fail !0 exec $(SEARCHSTD) "%C3%84+%C3%96+%C3%9C&lcs=latin1&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.utf8.html"   >> $(UDM_TEST_DIR)/cached2.rej
fail !0 exec $(SEARCHSTD) "%C3%84+%C3%96+%C3%9C&lcs=latin1&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.utf8.txt"    >> $(UDM_TEST_DIR)/cached2.rej
fail !0 exec $(SEARCHSTD) "%C3%84+%C3%96+%C3%9C&lcs=latin1&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.latin1.html" >> $(UDM_TEST_DIR)/cached2.rej
fail !0 exec $(SEARCHSTD) "%C3%84+%C3%96+%C3%9C&lcs=latin1&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.latin1.txt"  >> $(UDM_TEST_DIR)/cached2.rej

fail !0 exec $(SEARCHSTD) "%C3%84+%C3%96+%C3%9C&lcs=utf-8&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.utf8.html"   >> $(UDM_TEST_DIR)/cached2.rej
fail !0 exec $(SEARCHSTD) "%C3%84+%C3%96+%C3%9C&lcs=utf-8&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.utf8.txt"    >> $(UDM_TEST_DIR)/cached2.rej
fail !0 exec $(SEARCHSTD) "%C3%84+%C3%96+%C3%9C&lcs=utf-8&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.latin1.html" >> $(UDM_TEST_DIR)/cached2.rej
fail !0 exec $(SEARCHSTD) "%C3%84+%C3%96+%C3%9C&lcs=utf-8&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.latin1.txt"  >> $(UDM_TEST_DIR)/cached2.rej

fail !0 exec $(SEARCHSTD) "%C3%84+%C3%96+%C3%9C&lcs=koi8-r&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.utf8.html"   >> $(UDM_TEST_DIR)/cached2.rej
fail !0 exec $(SEARCHSTD) "%C3%84+%C3%96+%C3%9C&lcs=koi8-r&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.utf8.txt"    >> $(UDM_TEST_DIR)/cached2.rej
fail !0 exec $(SEARCHSTD) "%C3%84+%C3%96+%C3%9C&lcs=koi8-r&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.latin1.html" >> $(UDM_TEST_DIR)/cached2.rej
fail !0 exec $(SEARCHSTD) "%C3%84+%C3%96+%C3%9C&lcs=koi8-r&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.latin1.txt"  >> $(UDM_TEST_DIR)/cached2.rej

# bcs=koi8-r

fail !0 exec $(SEARCHSTD) "%26%23196%3B+%26%23214%3B+%26%23220%3B&lcs=latin1&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.utf8.html"   >> $(UDM_TEST_DIR)/cached2.rej
fail !0 exec $(SEARCHSTD) "%26%23196%3B+%26%23214%3B+%26%23220%3B&lcs=latin1&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.utf8.txt"    >> $(UDM_TEST_DIR)/cached2.rej
fail !0 exec $(SEARCHSTD) "%26%23196%3B+%26%23214%3B+%26%23220%3B&lcs=latin1&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.latin1.html" >> $(UDM_TEST_DIR)/cached2.rej
fail !0 exec $(SEARCHSTD) "%26%23196%3B+%26%23214%3B+%26%23220%3B&lcs=latin1&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.latin1.txt"  >> $(UDM_TEST_DIR)/cached2.rej

fail !0 exec $(SEARCHSTD) "%26%23196%3B+%26%23214%3B+%26%23220%3B&lcs=utf-8&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.utf8.html"   >> $(UDM_TEST_DIR)/cached2.rej
fail !0 exec $(SEARCHSTD) "%26%23196%3B+%26%23214%3B+%26%23220%3B&lcs=utf-8&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.utf8.txt"    >> $(UDM_TEST_DIR)/cached2.rej
fail !0 exec $(SEARCHSTD) "%26%23196%3B+%26%23214%3B+%26%23220%3B&lcs=utf-8&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.latin1.html" >> $(UDM_TEST_DIR)/cached2.rej
fail !0 exec $(SEARCHSTD) "%26%23196%3B+%26%23214%3B+%26%23220%3B&lcs=utf-8&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.latin1.txt"  >> $(UDM_TEST_DIR)/cached2.rej

fail !0 exec $(SEARCHSTD) "%26%23196%3B+%26%23214%3B+%26%23220%3B&lcs=koi8-r&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.utf8.html"   >> $(UDM_TEST_DIR)/cached2.rej
fail !0 exec $(SEARCHSTD) "%26%23196%3B+%26%23214%3B+%26%23220%3B&lcs=koi8-r&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.utf8.txt"    >> $(UDM_TEST_DIR)/cached2.rej
fail !0 exec $(SEARCHSTD) "%26%23196%3B+%26%23214%3B+%26%23220%3B&lcs=koi8-r&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.latin1.html" >> $(UDM_TEST_DIR)/cached2.rej
fail !0 exec $(SEARCHSTD) "%26%23196%3B+%26%23214%3B+%26%23220%3B&lcs=koi8-r&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.latin1.txt"  >> $(UDM_TEST_DIR)/cached2.rej

fail !0 mdiff $(UDM_TEST_DIR)/cached.res $(UDM_TEST_DIR)/cached2.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/cached2.rej


pass 0 exec  $(INDEXER) --drop $(UDM_TEST_DIR)/indexer.conf 1>&2

#
# This test also checks Bug#590
#
