skip !0 exec $(INDEXER) --checkconf  $(UDM_TEST_DIR)/indexer.conf 1>&2

fail 20 exec $(INDEXER) --drop   $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) --create $(UDM_TEST_DIR)/indexer.conf 1>&2

fail !0 exec echo "######### Testing with 'CollectLinks yes'" > $(UDM_TEST_DIR)/query.rej
fail !0 exec $(INDEXER) --crawl  $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) --sqlmon $(UDM_TEST_DIR)/indexer.conf < $(UDM_TEST_DIR)/query.sql >> $(UDM_TEST_DIR)/query.rej

fail !0 exec echo "######### Testing with 'CollectLinks no'" >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(INDEXER) -Cw  $(UDM_TEST_DIR)/indexer2.conf 1>&2
fail !0 exec $(INDEXER) --crawl  $(UDM_TEST_DIR)/indexer2.conf 1>&2
fail !0 exec $(INDEXER) --sqlmon $(UDM_TEST_DIR)/indexer2.conf < $(UDM_TEST_DIR)/links.sql >> $(UDM_TEST_DIR)/query.rej

fail !0 exec echo "######### Testing with 'CollectLinks all'" >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(INDEXER) -Cw  $(UDM_TEST_DIR)/indexer3.conf 1>&2
fail !0 exec $(INDEXER) --crawl  $(UDM_TEST_DIR)/indexer3.conf 1>&2
fail !0 exec $(INDEXER) --sqlmon $(UDM_TEST_DIR)/indexer3.conf < $(UDM_TEST_DIR)/links.sql >> $(UDM_TEST_DIR)/query.rej

fail !0 exec echo "######### Testing with 'CollectLinks inner'" >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(INDEXER) -Cw  $(UDM_TEST_DIR)/indexer4.conf 1>&2
fail !0 exec $(INDEXER) --crawl  $(UDM_TEST_DIR)/indexer4.conf 1>&2
fail !0 exec $(INDEXER) --sqlmon $(UDM_TEST_DIR)/indexer4.conf < $(UDM_TEST_DIR)/links.sql >> $(UDM_TEST_DIR)/query.rej

fail !0 exec echo "######### Testing with 'CollectLinks outer'" >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(INDEXER) -Cw  $(UDM_TEST_DIR)/indexer5.conf 1>&2
fail !0 exec $(INDEXER) --crawl  $(UDM_TEST_DIR)/indexer5.conf 1>&2
fail !0 exec $(INDEXER) --sqlmon $(UDM_TEST_DIR)/indexer5.conf < $(UDM_TEST_DIR)/links.sql >> $(UDM_TEST_DIR)/query.rej

fail !0 exec echo "######### Testing with 'FollowLinks yes'" >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(INDEXER) --set=f=yes -Cw $(UDM_TEST_DIR)/followlinks.conf 1>&2
fail !0 exec $(INDEXER) --set=f=yes --crawl -n1 -v6 $(UDM_TEST_DIR)/followlinks.conf 1>&2
fail !0 exec $(INDEXER) --set=f=yes --sqlmon $(UDM_TEST_DIR)/followlinks.conf < $(UDM_TEST_DIR)/url.sql >> $(UDM_TEST_DIR)/query.rej

fail !0 exec echo "######### Testing with 'FollowLinks no'" >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(INDEXER) --set=f=no -Cw $(UDM_TEST_DIR)/followlinks.conf 1>&2
fail !0 exec $(INDEXER) --set=f=no --crawl -n1  $(UDM_TEST_DIR)/followlinks.conf 1>&2
fail !0 exec $(INDEXER) --set=f=no --sqlmon $(UDM_TEST_DIR)/followlinks.conf < $(UDM_TEST_DIR)/url.sql >> $(UDM_TEST_DIR)/query.rej

fail !0 exec echo "######### Testing with 'FollowLinks a'" >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(INDEXER) --set=f=a -Cw $(UDM_TEST_DIR)/followlinks.conf 1>&2
fail !0 exec $(INDEXER) --set=f=a --crawl -n1  $(UDM_TEST_DIR)/followlinks.conf 1>&2
fail !0 exec $(INDEXER) --set=f=a --sqlmon $(UDM_TEST_DIR)/followlinks.conf < $(UDM_TEST_DIR)/url.sql >> $(UDM_TEST_DIR)/query.rej

fail !0 exec echo "######### Testing with 'FollowLinks yes -a'" >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(INDEXER) --set=f1=yes --set=f2=-a -Cw $(UDM_TEST_DIR)/followlinks2.conf 1>&2
fail !0 exec $(INDEXER) --set=f1=yes --set=f2=-a --crawl -n1  $(UDM_TEST_DIR)/followlinks2.conf 1>&2
fail !0 exec $(INDEXER) --set=f1=yes --set=f2=-a --sqlmon $(UDM_TEST_DIR)/followlinks2.conf < $(UDM_TEST_DIR)/url.sql >> $(UDM_TEST_DIR)/query.rej

fail !0 exec echo "######### Testing with 'FollowLinks yes -link'" >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(INDEXER) --set=f1=yes --set=f2=-link -Cw $(UDM_TEST_DIR)/followlinks2.conf 1>&2
fail !0 exec $(INDEXER) --set=f1=yes --set=f2=-link --crawl -n1  $(UDM_TEST_DIR)/followlinks2.conf 1>&2
fail !0 exec $(INDEXER) --set=f1=yes --set=f2=-link --sqlmon $(UDM_TEST_DIR)/followlinks2.conf < $(UDM_TEST_DIR)/url.sql >> $(UDM_TEST_DIR)/query.rej


fail !0 mdiff $(UDM_TEST_DIR)/query.rej $(UDM_TEST_DIR)/query.res
fail !0 exec rm -f $(UDM_TEST_DIR)/query.rej

pass 0 exec  $(INDEXER) --drop $(UDM_TEST_DIR)/indexer.conf 1>&2
