skip 0 substrenv UDM_TEST_DBADDR0 sqlite://

skip !0 exec $(INDEXER) --checkconf  $(UDM_TEST_DIR)/indexer.conf 1>&2
fail 20 exec $(INDEXER) --drop   $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) --create $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) --crawl  $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) --index   $(UDM_TEST_DIR)/indexer.conf 1>&2

#fail !0 exec $(INDEXER) --sqlmon $(UDM_TEST_DIR)/indexer.conf < $(UDM_TEST_DIR)/query.sql > $(UDM_TEST_DIR)/query.rej
#fail !0 mdiff $(UDM_TEST_DIR)/query.res $(UDM_TEST_DIR)/query.rej
#fail !0 exec rm -f $(UDM_TEST_DIR)/query.rej

fail !0 exec $(SEARCHSTD) "apache" > $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "apache" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "\"this site\"" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "\"this site\"" >> $(UDM_TEST_DIR)/search.rej

# Bug#1730 search with np variable gives no result
fail !0 exec $(SEARCHSTD) "thanks&ps=1" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "thanks&ps=1" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "thanks&ps=1&np=1" >> $(UDM_TEST_DIR)/search.rej

fail !0 exec echo "# Bug#4346 QCache does not differentiate on Sections (sl.*)" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "thanks&sl.title=%25Title1%25&SetQueryCacheID=Default" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "thanks&sl.title=%25Title%25&SetQueryCacheID=Default"  >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "thanks&sl.title=%25Title1%25&SetQueryCacheID=Default" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "thanks&sl.title=%25Title%25&SetQueryCacheID=Default"  >> $(UDM_TEST_DIR)/search.rej
fail !0 exec echo "# End of Bug#4346" >> $(UDM_TEST_DIR)/search.rej

fail !0 mdiff $(UDM_TEST_DIR)/search.res $(UDM_TEST_DIR)/search.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/search.rej

pass 0 exec  $(INDEXER) --drop $(UDM_TEST_DIR)/indexer.conf 1>&2

pass 0 exec true

