#skip !0 testenv UDM_TEST_ROOT
#skip !0 testenv UDM_TEST_DIR
#skip !0 testenv UDM_TEST_DBADDR0
#skip !0 testenv UDM_SHARE_DIR
#skip !0 testenv INDEXER
skip !0 exec $(INDEXER) --checkconf  $(UDM_TEST_DIR)/indexer.conf 1>&2

skip !0 exec $(INDEXER) --checkconf  $(UDM_TEST_DIR)/indexer.conf 1>&2
fail 20 exec $(INDEXER) --drop   $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) --create $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) --crawl -v6  $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) --index  $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) -S  $(UDM_TEST_DIR)/indexer.conf 1>&2

fail !0 exec $(INDEXER) -v0 --exec="SELECT secno, word FROM bdict WHERE word NOT LIKE '#%' ORDER BY secno, word" > $(UDM_TEST_DIR)/search.rej
fail !0 exec echo "---" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "[AAA TO AAA]" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "[AAA TO BBB]" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "[AAA TO BBB}" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "{AAA TO BBB]" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "{AAA TO BBZ}" >> $(UDM_TEST_DIR)/search.rej

fail !0 exec $(SEARCHSTD) "\"[AAA TO AAA][BBB TO BBB]\"" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "\"[AAA TO AAA][CCC TO CCC]\"" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "\"AAA [BBB TO BBB]\"" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "\"AAA [CCC TO CCC]\"" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "\"[BBB TO BBB] CCC\"" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "\"[CCC TO CCC] EEE\"" >> $(UDM_TEST_DIR)/search.rej

fail !0 exec $(SEARCHSTD) "title:[1 TO 2]" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "body:[1 TO 2]" >> $(UDM_TEST_DIR)/search.rej

fail !0 exec $(SEARCHSTD) "title:\"test [1 TO 2]\"" >> $(UDM_TEST_DIR)/search.rej

fail !0 exec $(SEARCHSTD) "price:\"[99 TO 200]\"" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "price:\"[99 TO 201]\"" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "price:\"[99 TO 201.001]\"" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "price:\"[99 TO 202]\"" >> $(UDM_TEST_DIR)/search.rej


fail !0 mdiff $(UDM_TEST_DIR)/search.rej $(UDM_TEST_DIR)/search.res
fail !0 exec rm -f $(UDM_TEST_DIR)/search.rej

pass 0 exec  $(INDEXER) --drop $(UDM_TEST_DIR)/indexer.conf 1>&2
