#skip 0 substrenv UDM_TEST_DBADDR0 oracle://
#skip 0 substrenv UDM_TEST_DBADDR0 db2://
#skip 0 substrenv UDM_TEST_DBADDR0 mssql://
#skip 0 substrenv UDM_TEST_DBADDR0 sybase://
#skip 0 substrenv UDM_TEST_DBADDR0 ibase://
#skip 0 substrenv UDM_TEST_DBADDR0 pgsql://
#skip 0 substrenv UDM_TEST_DBADDR0 mimer://
#skip 0 substrenv UDM_TEST_DBADDR0 sqlite://
#skip 0 substrenv UDM_TEST_DBADDR0 sqlite3://

skip !0 exec $(INDEXER) --checkconf  --set=CaseFolding=turkish $(UDM_TEST_DIR)/indexer.conf 1>&2

fail 20 exec $(INDEXER) --drop   --set=CaseFolding=turkish $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) --create --set=CaseFolding=turkish $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) -v6 --crawl --set=CaseFolding=turkish  $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) --index  --set=CaseFolding=turkish $(UDM_TEST_DIR)/indexer.conf < $(UDM_TEST_DIR)/test.sql 1>&2
fail !0 exec $(INDEXER) --sqlmon --set=CaseFolding=turkish $(UDM_TEST_DIR)/indexer.conf < $(UDM_TEST_DIR)/test.sql > $(UDM_TEST_DIR)/search.rej

fail !0 exec $(SEARCHSTD) "i&lcs=ascii&bcs=ascii&CaseFolding=turkish" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "I&lcs=ascii&bcs=ascii&CaseFolding=turkish" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "i&lcs=ascii&bcs=utf-8&CaseFolding=turkish" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "I&lcs=ascii&bcs=utf-8&CaseFolding=turkish" >> $(UDM_TEST_DIR)/search.rej

fail !0 exec $(INDEXER) -v6 -Cw --set=CaseFolding=turkish2  $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) -v6 --crawl --set=CaseFolding=turkish2  $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) --index  --set=CaseFolding=turkish2 $(UDM_TEST_DIR)/indexer.conf < $(UDM_TEST_DIR)/test.sql 1>&2
fail !0 exec $(INDEXER) --sqlmon --set=CaseFolding=turkish2 $(UDM_TEST_DIR)/indexer.conf < $(UDM_TEST_DIR)/test.sql >> $(UDM_TEST_DIR)/search.rej

fail !0 exec $(SEARCHSTD) "i&lcs=ascii&bcs=ascii&CaseFolding=turkish2" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "I&lcs=ascii&bcs=ascii&CaseFolding=turkish2" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "i&lcs=ascii&bcs=utf-8&CaseFolding=turkish2" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "I&lcs=ascii&bcs=utf-8&CaseFolding=turkish2" >> $(UDM_TEST_DIR)/search.rej

fail !0 mdiff $(UDM_TEST_DIR)/search.rej $(UDM_TEST_DIR)/search.res
fail !0 exec rm -f $(UDM_TEST_DIR)/search.rej

pass 0 exec  $(INDEXER) --drop --set=CaseFolding=turkish $(UDM_TEST_DIR)/indexer.conf 1>&2
