#skip !0 testenv UDM_TEST_ROOT
#skip !0 testenv UDM_TEST_DIR
#skip !0 testenv UDM_TEST_DBADDR0
#skip !0 testenv UDM_SHARE_DIR
#skip !0 testenv INDEXER
skip 0 substrenv UDM_TEST_DBADDR0 oracle://
skip 0 substrenv UDM_TEST_DBADDR0 odbc-oracle8://
skip 0 substrenv UDM_TEST_DBADDR0 mssql://
skip 0 substrenv UDM_TEST_DBADDR0 monetdb://

# First part
skip !0 exec $(INDEXER) --checkconf  $(UDM_TEST_DIR)/indexer1.conf 1>&2
fail 20 exec $(INDEXER) --drop   $(UDM_TEST_DIR)/indexer1.conf 1>&2
fail !0 exec $(INDEXER) --create $(UDM_TEST_DIR)/indexer1.conf 1>&2
fail !0 exec $(INDEXER) --crawl  $(UDM_TEST_DIR)/indexer1.conf 1>&2
fail !0 exec cp -f $(UDM_TEST_DIR)/search1.conf $(UDM_TEST_DIR)/search.conf

fail !0 exec $(SEARCHSTD) "test&bcs=iso-8859-1" > $(UDM_TEST_DIR)/expect1-1.rej
fail !0 mdiff $(UDM_TEST_DIR)/expect1-1.res $(UDM_TEST_DIR)/expect1-1.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/expect1-1.rej

fail !0 exec $(SEARCHSTD) "test&bcs=koi8-r" > $(UDM_TEST_DIR)/expect1-2.rej
fail !0 mdiff $(UDM_TEST_DIR)/expect1-2.res $(UDM_TEST_DIR)/expect1-2.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/expect1-2.rej

fail !0 exec $(SEARCHSTD) "test&bcs=utf-8" > $(UDM_TEST_DIR)/expect1-3.rej
fail !0 mdiff $(UDM_TEST_DIR)/expect1-3.res $(UDM_TEST_DIR)/expect1-3.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/expect1-3.rej

fail !0 exec $(SEARCHSTD) "%26#1069%3B%26#1090%3B%26#1086%3B&bcs=iso-8859-1" > $(UDM_TEST_DIR)/expect1-4.rej
fail !0 mdiff $(UDM_TEST_DIR)/expect1-4.res $(UDM_TEST_DIR)/expect1-4.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/expect1-4.rej

fail !0 exec $(SEARCHSTD) "%FC%D4%CF&bcs=koi8-r" > $(UDM_TEST_DIR)/expect1-5.rej
fail !0 mdiff $(UDM_TEST_DIR)/expect1-5.res $(UDM_TEST_DIR)/expect1-5.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/expect1-5.rej

fail !0 exec $(SEARCHSTD) "%D1%8D%D1%82%D0%BE&bcs=utf-8" > $(UDM_TEST_DIR)/expect1-6.rej
fail !0 mdiff $(UDM_TEST_DIR)/expect1-6.res $(UDM_TEST_DIR)/expect1-6.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/expect1-6.rej

# First part, second section (wm=sub, beg, end)
fail !0 exec $(SEARCHSTD) "es&wm=sub&bcs=iso-8859-1" > $(UDM_TEST_DIR)/expect-sub.rej
fail !0 mdiff $(UDM_TEST_DIR)/expect-sub.res $(UDM_TEST_DIR)/expect-sub.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/expect-sub.rej

fail !0 exec $(SEARCHSTD) "te&wm=beg&bcs=iso-8859-1" > $(UDM_TEST_DIR)/expect-beg.rej
fail !0 mdiff $(UDM_TEST_DIR)/expect-beg.res $(UDM_TEST_DIR)/expect-beg.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/expect-beg.rej

fail !0 exec $(SEARCHSTD) "st&wm=end&bcs=iso-8859-1" > $(UDM_TEST_DIR)/expect-end.rej
fail !0 mdiff $(UDM_TEST_DIR)/expect-end.res $(UDM_TEST_DIR)/expect-end.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/expect-end.rej

fail !0 exec $(SEARCHSTD) "a-b&bcs=iso-8859-1" > $(UDM_TEST_DIR)/expect-phr.rej
fail !0 mdiff $(UDM_TEST_DIR)/expect-phr.res $(UDM_TEST_DIR)/expect-phr.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/expect-phr.rej

fail !0 exec rm -f $(UDM_TEST_DIR)/search.conf

fail !0 exec $(SEARCHSTD) "abcd&localconf=search0.conf" > $(UDM_TEST_DIR)/expect0-1.rej
fail !0 mdiff $(UDM_TEST_DIR)/expect0-1.res $(UDM_TEST_DIR)/expect0-1.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/expect0-1.rej

# Second part
skip !0 exec $(INDEXER) --checkconf  $(UDM_TEST_DIR)/indexer2.conf 1>&2
fail 20 exec $(INDEXER) --drop   $(UDM_TEST_DIR)/indexer2.conf 1>&2
fail !0 exec $(INDEXER) --create $(UDM_TEST_DIR)/indexer2.conf 1>&2
fail !0 exec $(INDEXER) --crawl  $(UDM_TEST_DIR)/indexer2.conf 1>&2
fail !0 exec cp -f $(UDM_TEST_DIR)/search2.conf $(UDM_TEST_DIR)/search.conf

fail !0 exec $(SEARCHSTD) "test&bcs=iso-8859-1" > $(UDM_TEST_DIR)/expect2-1.rej
fail !0 mdiff $(UDM_TEST_DIR)/expect2-1.res $(UDM_TEST_DIR)/expect2-1.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/expect2-1.rej

fail !0 exec $(SEARCHSTD) "test&bcs=koi8-r" > $(UDM_TEST_DIR)/expect2-2.rej
fail !0 mdiff $(UDM_TEST_DIR)/expect2-2.res $(UDM_TEST_DIR)/expect2-2.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/expect2-2.rej

fail !0 exec $(SEARCHSTD) "test&bcs=utf-8" > $(UDM_TEST_DIR)/expect2-3.rej
fail !0 mdiff $(UDM_TEST_DIR)/expect2-3.res $(UDM_TEST_DIR)/expect2-3.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/expect2-3.rej

fail !0 exec $(SEARCHSTD) "%26#1069%3B%26#1090%3B%26#1086%3B&bcs=iso-8859-1" > $(UDM_TEST_DIR)/expect2-4.rej
fail !0 mdiff $(UDM_TEST_DIR)/expect2-4.res $(UDM_TEST_DIR)/expect2-4.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/expect2-4.rej

fail !0 exec $(SEARCHSTD) "%FC%D4%CF&bcs=koi8-r" > $(UDM_TEST_DIR)/expect2-5.rej
fail !0 mdiff $(UDM_TEST_DIR)/expect2-5.res $(UDM_TEST_DIR)/expect2-5.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/expect2-5.rej

fail !0 exec $(SEARCHSTD) "%D1%8D%D1%82%D0%BE&bcs=utf-8" > $(UDM_TEST_DIR)/expect2-6.rej
fail !0 mdiff $(UDM_TEST_DIR)/expect2-6.res $(UDM_TEST_DIR)/expect2-6.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/expect2-6.rej

fail !0 exec rm -f $(UDM_TEST_DIR)/search.conf

# Third part
skip !0 exec $(INDEXER) --checkconf  $(UDM_TEST_DIR)/indexer3.conf 1>&2
fail 20 exec $(INDEXER) --drop   $(UDM_TEST_DIR)/indexer3.conf 1>&2
fail !0 exec $(INDEXER) --create $(UDM_TEST_DIR)/indexer3.conf 1>&2
fail !0 exec $(INDEXER) --crawl  $(UDM_TEST_DIR)/indexer3.conf 1>&2
fail !0 exec cp -f $(UDM_TEST_DIR)/search3.conf $(UDM_TEST_DIR)/search.conf

fail !0 exec $(SEARCHSTD) "test&bcs=iso-8859-1" > $(UDM_TEST_DIR)/expect3-1.rej
fail !0 mdiff $(UDM_TEST_DIR)/expect3-1.res $(UDM_TEST_DIR)/expect3-1.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/expect3-1.rej

fail !0 exec $(SEARCHSTD) "test&bcs=koi8-r" > $(UDM_TEST_DIR)/expect3-2.rej
fail !0 mdiff $(UDM_TEST_DIR)/expect3-2.res $(UDM_TEST_DIR)/expect3-2.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/expect3-2.rej

fail !0 exec $(SEARCHSTD) "test&bcs=utf-8" > $(UDM_TEST_DIR)/expect3-3.rej
fail !0 mdiff $(UDM_TEST_DIR)/expect3-3.res $(UDM_TEST_DIR)/expect3-3.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/expect3-3.rej

fail !0 exec $(SEARCHSTD) "%26#1069%3B%26#1090%3B%26#1086%3B&bcs=iso-8859-1" > $(UDM_TEST_DIR)/expect3-4.rej
fail !0 mdiff $(UDM_TEST_DIR)/expect3-4.res $(UDM_TEST_DIR)/expect3-4.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/expect3-4.rej

fail !0 exec $(SEARCHSTD) "%FC%D4%CF&bcs=koi8-r" > $(UDM_TEST_DIR)/expect3-5.rej
fail !0 mdiff $(UDM_TEST_DIR)/expect3-5.res $(UDM_TEST_DIR)/expect3-5.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/expect3-5.rej

fail !0 exec $(SEARCHSTD) "%D1%8D%D1%82%D0%BE&bcs=utf-8" > $(UDM_TEST_DIR)/expect3-6.rej
fail !0 mdiff $(UDM_TEST_DIR)/expect3-6.res $(UDM_TEST_DIR)/expect3-6.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/expect3-6.rej

fail !0 exec rm -f $(UDM_TEST_DIR)/search.conf

# Fourth part
skip !0 exec $(INDEXER) --checkconf  $(UDM_TEST_DIR)/indexer4.conf 1>&2
fail 20 exec $(INDEXER) --drop   $(UDM_TEST_DIR)/indexer4.conf 1>&2
fail !0 exec $(INDEXER) --create $(UDM_TEST_DIR)/indexer4.conf 1>&2
fail !0 exec $(INDEXER) --crawl  $(UDM_TEST_DIR)/indexer4.conf 1>&2
fail !0 exec cp -f $(UDM_TEST_DIR)/search1.conf $(UDM_TEST_DIR)/search.conf

fail !0 exec $(SEARCHSTD) "test&bcs=iso-8859-1" > $(UDM_TEST_DIR)/expect4-1.rej
fail !0 mdiff $(UDM_TEST_DIR)/expect4-1.res $(UDM_TEST_DIR)/expect4-1.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/expect4-1.rej

fail !0 exec $(SEARCHSTD) "test&bcs=koi8-r" > $(UDM_TEST_DIR)/expect4-2.rej
fail !0 mdiff $(UDM_TEST_DIR)/expect4-2.res $(UDM_TEST_DIR)/expect4-2.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/expect4-2.rej

fail !0 exec $(SEARCHSTD) "test&bcs=utf-8" > $(UDM_TEST_DIR)/expect4-3.rej
fail !0 mdiff $(UDM_TEST_DIR)/expect4-3.res $(UDM_TEST_DIR)/expect4-3.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/expect4-3.rej

fail !0 exec $(SEARCHSTD) "%26#1069%3B%26#1090%3B%26#1086%3B&bcs=iso-8859-1" > $(UDM_TEST_DIR)/expect4-4.rej
fail !0 mdiff $(UDM_TEST_DIR)/expect4-4.res $(UDM_TEST_DIR)/expect4-4.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/expect4-4.rej

fail !0 exec $(SEARCHSTD) "%FC%D4%CF&bcs=koi8-r" > $(UDM_TEST_DIR)/expect4-5.rej
fail !0 mdiff $(UDM_TEST_DIR)/expect4-5.res $(UDM_TEST_DIR)/expect4-5.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/expect4-5.rej

fail !0 exec $(SEARCHSTD) "%D1%8D%D1%82%D0%BE&bcs=utf-8" > $(UDM_TEST_DIR)/expect4-6.rej
fail !0 mdiff $(UDM_TEST_DIR)/expect4-6.res $(UDM_TEST_DIR)/expect4-6.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/expect4-6.rej

fail !0 exec rm -f $(UDM_TEST_DIR)/search.conf

# Fifth part
skip !0 exec $(INDEXER) --checkconf  $(UDM_TEST_DIR)/indexer5.conf 1>&2
fail 20 exec $(INDEXER) --drop   $(UDM_TEST_DIR)/indexer5.conf 1>&2
fail !0 exec $(INDEXER) --create $(UDM_TEST_DIR)/indexer5.conf 1>&2
fail !0 exec $(INDEXER) --crawl  $(UDM_TEST_DIR)/indexer5.conf 1>&2
fail !0 exec cp -f $(UDM_TEST_DIR)/search2.conf $(UDM_TEST_DIR)/search.conf

fail !0 exec $(SEARCHSTD) "test&bcs=iso-8859-1" > $(UDM_TEST_DIR)/expect5-1.rej
fail !0 mdiff $(UDM_TEST_DIR)/expect5-1.res $(UDM_TEST_DIR)/expect5-1.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/expect5-1.rej

fail !0 exec $(SEARCHSTD) "test&bcs=koi8-r" > $(UDM_TEST_DIR)/expect5-2.rej
fail !0 mdiff $(UDM_TEST_DIR)/expect5-2.res $(UDM_TEST_DIR)/expect5-2.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/expect5-2.rej

fail !0 exec $(SEARCHSTD) "test&bcs=utf-8" > $(UDM_TEST_DIR)/expect5-3.rej
fail !0 mdiff $(UDM_TEST_DIR)/expect5-3.res $(UDM_TEST_DIR)/expect5-3.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/expect5-3.rej

fail !0 exec $(SEARCHSTD) "%26#1069%3B%26#1090%3B%26#1086%3B&bcs=iso-8859-1" > $(UDM_TEST_DIR)/expect5-4.rej
fail !0 mdiff $(UDM_TEST_DIR)/expect5-4.res $(UDM_TEST_DIR)/expect5-4.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/expect5-4.rej

fail !0 exec $(SEARCHSTD) "%FC%D4%CF&bcs=koi8-r" > $(UDM_TEST_DIR)/expect5-5.rej
fail !0 mdiff $(UDM_TEST_DIR)/expect5-5.res $(UDM_TEST_DIR)/expect5-5.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/expect5-5.rej

fail !0 exec $(SEARCHSTD) "%D1%8D%D1%82%D0%BE&bcs=utf-8" > $(UDM_TEST_DIR)/expect5-6.rej
fail !0 mdiff $(UDM_TEST_DIR)/expect5-6.res $(UDM_TEST_DIR)/expect5-6.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/expect5-6.rej

fail !0 exec rm -f $(UDM_TEST_DIR)/search.conf

# Sixth part
skip !0 exec $(INDEXER) --checkconf  $(UDM_TEST_DIR)/indexer6.conf 1>&2
fail 20 exec $(INDEXER) --drop   $(UDM_TEST_DIR)/indexer6.conf 1>&2
fail !0 exec $(INDEXER) --create $(UDM_TEST_DIR)/indexer6.conf 1>&2
fail !0 exec $(INDEXER) --crawl  $(UDM_TEST_DIR)/indexer6.conf 1>&2
fail !0 exec cp -f $(UDM_TEST_DIR)/search3.conf $(UDM_TEST_DIR)/search.conf

fail !0 exec $(SEARCHSTD) "test&bcs=iso-8859-1" > $(UDM_TEST_DIR)/expect6-1.rej
fail !0 mdiff $(UDM_TEST_DIR)/expect6-1.res $(UDM_TEST_DIR)/expect6-1.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/expect6-1.rej

fail !0 exec $(SEARCHSTD) "test&bcs=koi8-r" > $(UDM_TEST_DIR)/expect6-2.rej
fail !0 mdiff $(UDM_TEST_DIR)/expect6-2.res $(UDM_TEST_DIR)/expect6-2.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/expect6-2.rej

fail !0 exec $(SEARCHSTD) "test&bcs=utf-8" > $(UDM_TEST_DIR)/expect6-3.rej
fail !0 mdiff $(UDM_TEST_DIR)/expect6-3.res $(UDM_TEST_DIR)/expect6-3.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/expect6-3.rej

fail !0 exec $(SEARCHSTD) "%26#1069%3B%26#1090%3B%26#1086%3B&bcs=iso-8859-1" > $(UDM_TEST_DIR)/expect6-4.rej
fail !0 mdiff $(UDM_TEST_DIR)/expect6-4.res $(UDM_TEST_DIR)/expect6-4.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/expect6-4.rej

fail !0 exec $(SEARCHSTD) "%FC%D4%CF&bcs=koi8-r" > $(UDM_TEST_DIR)/expect6-5.rej
fail !0 mdiff $(UDM_TEST_DIR)/expect6-5.res $(UDM_TEST_DIR)/expect6-5.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/expect6-5.rej

fail !0 exec $(SEARCHSTD) "%D1%8D%D1%82%D0%BE&bcs=utf-8" > $(UDM_TEST_DIR)/expect6-6.rej
fail !0 mdiff $(UDM_TEST_DIR)/expect6-6.res $(UDM_TEST_DIR)/expect6-6.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/expect6-6.rej

fail !0 exec rm -f $(UDM_TEST_DIR)/search.conf

pass 0 exec  $(INDEXER) --drop $(UDM_TEST_DIR)/indexer1.conf 1>&2
