#skip !0 exec test -x /usr/local/bin/catdoc || test -x /usr/bin/catdoc

skip !0 exec $(INDEXER) --checkconf  $(UDM_TEST_DIR)/indexer.conf 1>&2
fail 20 exec $(INDEXER) --drop   $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) --create $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) --crawl  -v 6 $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) --sqlmon $(UDM_TEST_DIR)/indexer.conf < $(UDM_TEST_ROOT)/include/single.sql > $(UDM_TEST_DIR)/query.rej

# Testing search with DBMode=single with Content-Type in urlinfo
fail !0 exec $(SEARCHSTD) "в&lcs=latin1&bcs=utf-8&dbmode=single" > $(UDM_TEST_DIR)/search1.rej
fail !0 mdiff $(UDM_TEST_DIR)/search.res $(UDM_TEST_DIR)/search1.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/search1.rej

# Testing cached copy with DBMode=single with Content-Type in urlinfo
fail !0 exec $(SEARCHSTD) "с+Sergey&lcs=latin1&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest01.eml&dbmode=single" >> $(UDM_TEST_DIR)/query.rej

# Now test with no Content-Type in urlinfo
fail !0 exec $(INDEXER) --exec="DELETE FROM urlinfo WHERE sname='content-type'" >> $(UDM_TEST_DIR)/query.rej

# Testing search with DBMode=single without Content-Type in urlinfo
fail !0 exec $(SEARCHSTD) "в&lcs=latin1&bcs=utf-8&dbmode=single&dbmode=single" > $(UDM_TEST_DIR)/search2.rej
fail !0 mdiff $(UDM_TEST_DIR)/search.res $(UDM_TEST_DIR)/search2.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/search2.rej

# Testing cached copy with DBMode=single with Content-Type in urlinfo
fail !0 exec $(SEARCHSTD) "с+Sergey&lcs=latin1&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest01.eml&dbmode=single" >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCHSTD) "scott&lcs=latin1&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest20.eml&dbmode=single" >> $(UDM_TEST_DIR)/query.rej

fail !0 exec $(SEARCHSTD) "%D0%B0+%D0%B1+%D0%B2&bcs=utf-8&lcs=ascii&cc=1&URL=http:%2F%2Fsite%2Ftest14.eml&dbmode=single"                      >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCHSTD) "%C1+%C2+%D7&bcs=koi8-r&lcs=ascii&cc=1&URL=http:%2F%2Fsite%2Ftest14.eml&dbmode=single"                              >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCHSTD) "%E0+%E1+%E2&bcs=cp1251&lcs=ascii&cc=1&URL=http:%2F%2Fsite%2Ftest14.eml&dbmode=single"                              >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCHSTD) "%26%231072%3B+%26%231073%3B+%26%231074%3B&bcs=ascii&lcs=ascii&cc=1&URL=http:%2F%2Fsite%2Ftest14.eml&dbmode=single" >> $(UDM_TEST_DIR)/query.rej

fail !0 exec $(SEARCHSTD) "%D0%B0+%D0%B1+%D0%B2&bcs=utf-8&lcs=koi8-r&cc=1&URL=http:%2F%2Fsite%2Ftest14.eml&dbmode=single"                      >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCHSTD) "%C1+%C2+%D7&bcs=koi8-r&lcs=koi8-r&cc=1&URL=http:%2F%2Fsite%2Ftest14.eml&dbmode=single"                              >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCHSTD) "%E0+%E1+%E2&bcs=cp1251&lcs=koi8-r&cc=1&URL=http:%2F%2Fsite%2Ftest14.eml&dbmode=single"                              >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCHSTD) "%26%231072%3B+%26%231073%3B+%26%231074%3B&bcs=ascii&lcs=koi8-r&cc=1&URL=http:%2F%2Fsite%2Ftest14.eml&dbmode=single" >> $(UDM_TEST_DIR)/query.rej

fail !0 exec $(SEARCHSTD) "%D0%B0+%D0%B1+%D0%B2&bcs=utf-8&lcs=cp1251&cc=1&URL=http:%2F%2Fsite%2Ftest14.eml&dbmode=single"                      >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCHSTD) "%C1+%C2+%D7&bcs=koi8-r&lcs=cp1251&cc=1&URL=http:%2F%2Fsite%2Ftest14.eml&dbmode=single"                              >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCHSTD) "%E0+%E1+%E2&bcs=cp1251&lcs=cp1251&cc=1&URL=http:%2F%2Fsite%2Ftest14.eml&dbmode=single"                              >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCHSTD) "%26%231072%3B+%26%231073%3B+%26%231074%3B&bcs=ascii&lcs=cp1251&cc=1&URL=http:%2F%2Fsite%2Ftest14.eml&dbmode=single" >> $(UDM_TEST_DIR)/query.rej

fail !0 exec $(SEARCHSTD) "%D0%B0+%D0%B1+%D0%B2&bcs=utf-8&lcs=utf-8&cc=1&URL=http:%2F%2Fsite%2Ftest14.eml&dbmode=single"                       >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCHSTD) "%C1+%C2+%D7&bcs=koi8-r&lcs=utf-8&cc=1&URL=http:%2F%2Fsite%2Ftest14.eml&dbmode=single"                               >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCHSTD) "%E0+%E1+%E2&bcs=cp1251&lcs=utf-8&cc=1&URL=http:%2F%2Fsite%2Ftest14.eml&dbmode=single"                               >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCHSTD) "%26%231072%3B+%26%231073%3B+%26%231074%3B&bcs=ascii&lcs=utf-8&cc=1&URL=http:%2F%2Fsite%2Ftest14.eml&dbmode=single"  >> $(UDM_TEST_DIR)/query.rej


fail !0 exec $(SEARCHSTD) "%D0%B0+%D0%B1+%D0%B2&bcs=utf-8&lcs=ascii&cc=1&URL=http:%2F%2Fsite%2Ftest10.eml&dbmode=single"                      >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCHSTD) "%C1+%C2+%D7&bcs=koi8-r&lcs=ascii&cc=1&URL=http:%2F%2Fsite%2Ftest10.eml&dbmode=single"                              >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCHSTD) "%E0+%E1+%E2&bcs=cp1251&lcs=ascii&cc=1&URL=http:%2F%2Fsite%2Ftest10.eml&dbmode=single"                              >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCHSTD) "%26%231072%3B+%26%231073%3B+%26%231074%3B&bcs=ascii&lcs=ascii&cc=1&URL=http:%2F%2Fsite%2Ftest10.eml&dbmode=single" >> $(UDM_TEST_DIR)/query.rej

fail !0 exec $(SEARCHSTD) "%D0%B0+%D0%B1+%D0%B2&bcs=utf-8&lcs=koi8-r&cc=1&URL=http:%2F%2Fsite%2Ftest10.eml&dbmode=single"                      >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCHSTD) "%C1+%C2+%D7&bcs=koi8-r&lcs=koi8-r&cc=1&URL=http:%2F%2Fsite%2Ftest10.eml&dbmode=single"                              >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCHSTD) "%E0+%E1+%E2&bcs=cp1251&lcs=koi8-r&cc=1&URL=http:%2F%2Fsite%2Ftest10.eml&dbmode=single"                              >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCHSTD) "%26%231072%3B+%26%231073%3B+%26%231074%3B&bcs=ascii&lcs=koi8-r&cc=1&URL=http:%2F%2Fsite%2Ftest10.eml&dbmode=single" >> $(UDM_TEST_DIR)/query.rej

fail !0 exec $(SEARCHSTD) "%D0%B0+%D0%B1+%D0%B2&bcs=utf-8&lcs=cp1251&cc=1&URL=http:%2F%2Fsite%2Ftest10.eml&dbmode=single"                      >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCHSTD) "%C1+%C2+%D7&bcs=koi8-r&lcs=cp1251&cc=1&URL=http:%2F%2Fsite%2Ftest10.eml&dbmode=single"                              >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCHSTD) "%E0+%E1+%E2&bcs=cp1251&lcs=cp1251&cc=1&URL=http:%2F%2Fsite%2Ftest10.eml&dbmode=single"                              >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCHSTD) "%26%231072%3B+%26%231073%3B+%26%231074%3B&bcs=ascii&lcs=cp1251&cc=1&URL=http:%2F%2Fsite%2Ftest10.eml&dbmode=single" >> $(UDM_TEST_DIR)/query.rej

fail !0 exec $(SEARCHSTD) "%D0%B0+%D0%B1+%D0%B2&bcs=utf-8&lcs=utf-8&cc=1&URL=http:%2F%2Fsite%2Ftest10.eml&dbmode=single"                       >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCHSTD) "%C1+%C2+%D7&bcs=koi8-r&lcs=utf-8&cc=1&URL=http:%2F%2Fsite%2Ftest10.eml&dbmode=single"                               >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCHSTD) "%E0+%E1+%E2&bcs=cp1251&lcs=utf-8&cc=1&URL=http:%2F%2Fsite%2Ftest10.eml&dbmode=single"                               >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCHSTD) "%26%231072%3B+%26%231073%3B+%26%231074%3B&bcs=ascii&lcs=utf-8&cc=1&URL=http:%2F%2Fsite%2Ftest10.eml&dbmode=single"  >> $(UDM_TEST_DIR)/query.rej

fail !0 mdiff $(UDM_TEST_DIR)/query.res $(UDM_TEST_DIR)/query.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/query.rej

# Converting DBMode=single to DBMode=blob
fail !0 exec $(INDEXER) --index -v 6 $(UDM_TEST_DIR)/indexer.conf 1>&2

# Testing the content of "bdict" after conversion from DBMode=single
fail !0 exec $(INDEXER) --sqlmon $(UDM_TEST_DIR)/indexer.conf < $(UDM_TEST_DIR)/bdict.sql > $(UDM_TEST_DIR)/bdict.rej
fail !0 mdiff $(UDM_TEST_DIR)/bdict.res $(UDM_TEST_DIR)/bdict.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/bdict.rej

fail !0 exec $(INDEXER) --drop $(UDM_TEST_DIR)/indexer.conf 1>&2

# Now test with DBMode=blob
fail !0 exec $(INDEXER) --create $(UDM_TEST_DIR)/indexer2.conf 1>&2
fail !0 exec $(INDEXER) --crawl  -v 6 $(UDM_TEST_DIR)/indexer2.conf 1>&2

# Testing "bdict" again. Should be the same with DBMode=single.
fail !0 exec $(INDEXER) --index $(UDM_TEST_DIR)/indexer2.conf < $(UDM_TEST_DIR)/bdict.sql > $(UDM_TEST_DIR)/bdict2.rej
fail !0 exec $(INDEXER) --sqlmon $(UDM_TEST_DIR)/indexer2.conf < $(UDM_TEST_DIR)/bdict.sql > $(UDM_TEST_DIR)/bdict2.rej
fail !0 mdiff $(UDM_TEST_DIR)/bdict.res $(UDM_TEST_DIR)/bdict2.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/bdict2.rej

fail !0 exec $(SEARCHSTD) "в&lcs=latin1&bcs=utf-8&dbmode=blob" > $(UDM_TEST_DIR)/search3.rej
fail !0 mdiff $(UDM_TEST_DIR)/search.res $(UDM_TEST_DIR)/search3.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/search3.rej

pass 0 exec  $(INDEXER) --drop $(UDM_TEST_DIR)/indexer2.conf 1>&2
