skip !0 exec $(INDEXER) --checkconf      $(UDM_TEST_DIR)/indexer.conf 1>&2
fail 20 exec $(INDEXER) --drop       $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) --create     $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) --crawl  -v6 $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) --index      $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) --sqlmon $(UDM_TEST_DIR)/indexer.conf < $(UDM_TEST_DIR)/query.tst > $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCHSTD) "Nunc at risus&lcs=latin1&bcs=utf-8" >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCHSTD) "vestibulum&lcs=latin1&bcs=utf-8"    >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCHSTD) "8&lcs=latin1&bcs=utf-8"  >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCHSTD) "%D0%B2%D0%BE%D0%B4%D0%B0&lcs=latin1&bcs=utf-8"  >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCHSTD) "Nunc+at+risus&lcs=latin1&bcs=utf-8&cc=1&URL=http:%2F%2Fsite%2Fsample.docx" >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCHSTD) "bold+italic&lcs=latin1&bcs=utf-8"  >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCHSTD) "%D0%B2%D0%BE%D0%B4%D0%B0&lcs=latin1&bcs=utf-8&cc=1&URL=http:%2F%2Fsite%2Fsample2.docx" >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCHSTD) "bold+italic&lcs=latin1&bcs=utf-8&cc=1&URL=http:%2F%2Fsite%2Fsample4-lists.docx" >> $(UDM_TEST_DIR)/query.rej

# Testing bcs=latin1
fail !0 exec $(SEARCHSTD) "%C4+%D6+%DC&bcs=latin1&lcs=latin1&cc=1&URL=http:%2F%2Fsite%2Fsample3.docx"   >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCHSTD) "%C4+%D6+%DC&bcs=latin1&lcs=utf-8&cc=1&URL=http:%2F%2Fsite%2Fsample3.docx"    >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCHSTD) "%C4+%D6+%DC&bcs=latin1&lcs=us-ascii&cc=1&URL=http:%2F%2Fsite%2Fsample3.docx" >> $(UDM_TEST_DIR)/query.rej

# Testing bcs=utf-8
fail !0 exec $(SEARCHSTD) "%C3%84+%C3%96+%C3%9C&bcs=utf-8&lcs=latin1&cc=1&URL=http:%2F%2Fsite%2Fsample3.docx"   >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCHSTD) "%C3%84+%C3%96+%C3%9C&bcs=utf-8&lcs=utf-8&cc=1&URL=http:%2F%2Fsite%2Fsample3.docx"    >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCHSTD) "%C3%84+%C3%96+%C3%9C&bcs=utf-8&lcs=us-ascii&cc=1&URL=http:%2F%2Fsite%2Fsample3.docx" >> $(UDM_TEST_DIR)/query.rej

# Testing bcs=us-ascii
fail !0 exec $(SEARCHSTD) "%26%23196%3B+%26%23214%3B+%26%23220%3B&bcs=us-ascii&lcs=latin1&cc=1&URL=http:%2F%2Fsite%2Fsample3.docx"   >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCHSTD) "%26%23196%3B+%26%23214%3B+%26%23220%3B&bcs=us-ascii&lcs=utf-8&cc=1&URL=http:%2F%2Fsite%2Fsample3.docx"    >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCHSTD) "%26%23196%3B+%26%23214%3B+%26%23220%3B&bcs=us-ascii&lcs=us-ascii&cc=1&URL=http:%2F%2Fsite%2Fsample3.docx" >> $(UDM_TEST_DIR)/query.rej


fail !0 mdiff $(UDM_TEST_DIR)/query.res $(UDM_TEST_DIR)/query.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/query.rej
pass 0 exec  $(INDEXER) --drop $(UDM_TEST_DIR)/indexer.conf 1>&2
