skip !0 exec $(INDEXER) --checkconf  $(UDM_TEST_DIR)/indexer.conf 1>&2

# Test DBMode=single
fail 20 exec $(INDEXER) --drop        $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) --create      $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) --crawl  -v 6 $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) --sqlmon $(UDM_TEST_DIR)/indexer.conf < $(UDM_TEST_DIR)/query.tst > $(UDM_TEST_DIR)/query.rej
fail !0 mdiff $(UDM_TEST_DIR)/query.rej $(UDM_TEST_DIR)/query.res
fail !0 exec rm -f $(UDM_TEST_DIR)/query.rej

fail !0 exec $(SEARCHSTD) "this+is&lcs=ascii&bcs=utf-8&dbmode=single&s=U" > $(UDM_TEST_DIR)/search1.rej
fail !0 mdiff $(UDM_TEST_DIR)/search.res $(UDM_TEST_DIR)/search1.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/search1.rej
fail !0 exec  $(INDEXER) --drop $(UDM_TEST_DIR)/indexer.conf 1>&2

# Test DBMode=blob
fail !0 exec $(INDEXER) --create      $(UDM_TEST_DIR)/indexer2.conf 1>&2
fail !0 exec $(INDEXER) --crawl  -v 6 $(UDM_TEST_DIR)/indexer2.conf 1>&2
fail !0 exec $(INDEXER) --index  -v 6 $(UDM_TEST_DIR)/indexer2.conf 1>&2
fail !0 exec $(SEARCHSTD) "this+is&lcs=ascii&bcs=utf-8&dbmode=blob&s=U" > $(UDM_TEST_DIR)/search2.rej
fail !0 mdiff $(UDM_TEST_DIR)/search.res $(UDM_TEST_DIR)/search2.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/search2.rej
pass 0 exec  $(INDEXER) --drop $(UDM_TEST_DIR)/indexer2.conf 1>&2
