skip !0 exec $(INDEXER) --checkconf     $(UDM_TEST_DIR)/indexer.conf 1>&2

fail 20 exec $(INDEXER) --drop      $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) --create    $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) --crawl -v6 $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) --sqlmon $(UDM_TEST_DIR)/indexer.conf < $(UDM_TEST_DIR)/query.tst > $(UDM_TEST_DIR)/query.rej

fail !0 exec echo "##### Testing indexer.conf with RobotsDisallowStatus" >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(INDEXER) -Cw -d $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) --crawl -v6 -d $(UDM_TEST_DIR)/indexer.conf --set=RDA=123 1>&2
fail !0 exec $(INDEXER) -d $(UDM_TEST_DIR)/indexer.conf -v0 --exec="SELECT status, seed, url FROM url WHERE status=123 ORDER BY seed, status" >> $(UDM_TEST_DIR)/query.rej
fail 20 exec $(INDEXER) --drop -d $(UDM_TEST_DIR)/indexer.conf 1>&2

fail !0 exec echo "##### Testing indexer01no.conf" >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(INDEXER) --create    $(UDM_TEST_DIR)/indexer01no.conf 1>&2
fail !0 exec $(INDEXER) --crawl -v6 $(UDM_TEST_DIR)/indexer01no.conf 1>&2
fail !0 exec $(INDEXER) --sqlmon $(UDM_TEST_DIR)/indexer01no.conf < $(UDM_TEST_DIR)/query01.sql >> $(UDM_TEST_DIR)/query.rej

fail !0 exec echo "##### Testing indexer01yes.conf" >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(INDEXER) -Cw  $(UDM_TEST_DIR)/indexer01yes.conf 1>&2
fail !0 exec $(INDEXER) --crawl -v6 $(UDM_TEST_DIR)/indexer01yes.conf 1>&2
fail !0 exec $(INDEXER) --sqlmon $(UDM_TEST_DIR)/indexer01yes.conf < $(UDM_TEST_DIR)/query01.sql >> $(UDM_TEST_DIR)/query.rej

fail !0 exec echo "##### Testing indexer01udef.conf" >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(INDEXER) -Cw  $(UDM_TEST_DIR)/indexer01udef.conf 1>&2
fail !0 exec $(INDEXER) --crawl -v6 $(UDM_TEST_DIR)/indexer01udef.conf 1>&2
fail !0 exec $(INDEXER) --sqlmon $(UDM_TEST_DIR)/indexer01udef.conf < $(UDM_TEST_DIR)/query01.sql >> $(UDM_TEST_DIR)/query.rej

fail !0 exec echo "##### Testing indexer01xrobotstag.conf" >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(INDEXER) -Cw  $(UDM_TEST_DIR)/indexer01xrobotstag.conf 1>&2
fail !0 exec $(INDEXER) --crawl -v6 $(UDM_TEST_DIR)/indexer01xrobotstag.conf 1>&2
fail !0 exec $(INDEXER) --sqlmon $(UDM_TEST_DIR)/indexer01xrobotstag.conf < $(UDM_TEST_DIR)/query01.sql >> $(UDM_TEST_DIR)/query.rej

fail !0 exec echo "##### Testing indexer01meta.conf" >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(INDEXER) -Cw  $(UDM_TEST_DIR)/indexer01meta.conf 1>&2
fail !0 exec $(INDEXER) --crawl -v6 $(UDM_TEST_DIR)/indexer01meta.conf 1>&2
fail !0 exec $(INDEXER) --sqlmon $(UDM_TEST_DIR)/indexer01meta.conf < $(UDM_TEST_DIR)/query01.sql >> $(UDM_TEST_DIR)/query.rej

fail !0 exec echo "##### Testing indexer01rel.conf" >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(INDEXER) -Cw  $(UDM_TEST_DIR)/indexer01rel.conf 1>&2
fail !0 exec $(INDEXER) --crawl -v6 $(UDM_TEST_DIR)/indexer01rel.conf 1>&2
fail !0 exec $(INDEXER) --sqlmon $(UDM_TEST_DIR)/indexer01rel.conf < $(UDM_TEST_DIR)/query01.sql >> $(UDM_TEST_DIR)/query.rej

fail !0 mdiff $(UDM_TEST_DIR)/query.rej $(UDM_TEST_DIR)/query.res
fail !0 exec rm -f $(UDM_TEST_DIR)/query.rej
pass 0 exec  $(INDEXER) --drop $(UDM_TEST_DIR)/indexer.conf 1>&2
