fail !0 exec $(INDEXER) --checkconf  $(UDM_TEST_DIR)/indexer.conf 1>&2

fail 20 exec $(INDEXER) --drop   $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) --create $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) --crawl -u "http://site/%"  $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) --crawl -u "http://site2/%" $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) --index  $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) --sqlmon $(UDM_TEST_DIR)/indexer.conf < $(UDM_TEST_DIR)/query.tst > $(UDM_TEST_DIR)/query.rej
fail !0 mdiff $(UDM_TEST_DIR)/query.res $(UDM_TEST_DIR)/query.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/query.rej

fail !0 exec $(SEARCHSTD) "this&s=RP" > $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "this&GroupBySite=yes" >> $(UDM_TEST_DIR)/search.rej

fail !0 exec echo "# Check cross site scripting in a variable value" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec UDM_TEST_DBADDR0="$(UDM_TEST_DBADDR0)?trackquery=yes" $(SEARCH) -d $(UDM_TEST_ROOT)/include/make-search-htm.htm > $(UDM_TEST_DIR)/search.htm-dist.htm
fail  9 exec UDMSEARCH_TEMPLATE=$(UDM_TEST_DIR)/search.htm-dist.htm QUERY_STRING="q=this&ps=1&qqq=<tag>&s=RP" $(SEARCH) |grep qqq >> $(UDM_TEST_DIR)/search.rej
fail  9 exec UDMSEARCH_TEMPLATE=$(UDM_TEST_DIR)/search.htm-dist.htm QUERY_STRING='q=this&ps=1&>"><script>alert(123)</script><"=Search' $(SEARCH) |grep alert >> $(UDM_TEST_DIR)/search.rej
fail !0 exec echo "# End of check cross site scripting in a variable value" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec rm $(UDM_TEST_DIR)/search.htm-dist.htm

fail !0 exec echo "# Check SQL injections protection" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "1&ul=%')+and+1=1+--+" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec echo "# End of Check SQL injections protection" >> $(UDM_TEST_DIR)/search.rej

fail !0 exec $(SEARCHSTD) "'01-01-1970'" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "this+is+the+first+page+test&StrictModeThresHold=2" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "the-third-one" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "the-third-one&cw=yes" >> $(UDM_TEST_DIR)/search.rej

# Test ResultsLimit
fail !0 exec $(SEARCHSTD) "the&ps=1000" >> $(UDM_TEST_DIR)/search.rej
# Make sure query parameter does not overwrite config value.
fail !0 exec $(SEARCHSTD) "the&ps=1100&ResultsLimit=2000" >> $(UDM_TEST_DIR)/search.rej
# TODO: add aslo "the&ps=300&ResultsLimit=300". Should return "not found".

# Test long query
fail !0 exec $(SEARCHSTD) "xxx+xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" >> $(UDM_TEST_DIR)/search.rej

# Test long limits
fail !0 exec $(SEARCHSTD) "the&ul=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "the&ue=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "the&u=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "the&tag=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "the&t=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "the&lang=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "the&g=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "the&sl.xxx=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "the&type=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "the&typ=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" >> $(UDM_TEST_DIR)/search.rej

# Long unknown variables are allowed
fail !0 exec $(SEARCHSTD) "xxx&unknown=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" >> $(UDM_TEST_DIR)/search.rej

#
# Bug#4818 Arbitrary Files Reading in mnoGoSearch
# Don't allow passing template name as command line argument when under HTTPD
fail !0 exec echo "Start of Bug#4818" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec UDM_TEST_DBADDR0="$(UDM_TEST_DBADDR0)" $(SEARCH) -d $(UDM_TEST_ROOT)/include/make-search-htm.htm > $(UDM_TEST_DIR)/search.htm-dist.htm
fail  9 exec UDMSEARCH_TEMPLATE=$(UDM_TEST_DIR)/search.htm-dist.htm QUERY_STRING="q=bug4818" $(SEARCH) -d /tmp/ignore-this.htm | grep did >> $(UDM_TEST_DIR)/search.rej
fail  9 exec UDMSEARCH_TEMPLATE=$(UDM_TEST_DIR)/search.htm-dist.htm REQUEST_METHOD=GET $(SEARCH) -d /tmp/ignore-this.htm | grep Powered >> $(UDM_TEST_DIR)/search.rej
fail !0 exec rm $(UDM_TEST_DIR)/search.htm-dist.htm
fail !0 exec echo "End of Bug#4818" >> $(UDM_TEST_DIR)/search.rej

# Testing cached copy
fail !0 exec UDM_TEST_DBADDR0="$(UDM_TEST_DBADDR0)" $(SEARCH) -d $(UDM_TEST_ROOT)/include/make-search-htm.htm > $(UDM_TEST_DIR)/search.htm-dist.htm
fail !0 exec UDMSEARCH_TEMPLATE=$(UDM_TEST_DIR)/search.htm-dist.htm QUERY_STRING="test&cc=1&URL=http:%2F%2Fsite%2Ftest1.html" $(SEARCH)| grep -v  "Last.modified:" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec rm $(UDM_TEST_DIR)/search.htm-dist.htm

# Testing node.xml
# Search using node.xml and using search.htm-dist directly
# should return the same result
fail !0 exec UDM_TEST_DBADDR0="$(UDM_TEST_DBADDR0)" $(SEARCH) -d $(UDM_TEST_ROOT)/include/make-search-htm.htm > $(UDM_TEST_DIR)/search.htm-dist.htm
fail !0 exec UDM_TEST_DBADDR0="file://$(UDM_TEST_DIR)/node00.xml"       $(SEARCH) -d $(UDM_TEST_ROOT)/include/make-search-htm.htm > $(UDM_TEST_DIR)/search.htm-dist.node00.xml.htm
fail !0 exec UDM_TEST_DBADDR0="file://$(UDM_TEST_DIR)/node00cached.xml" $(SEARCH) -d $(UDM_TEST_ROOT)/include/make-search-htm.htm > $(UDM_TEST_DIR)/search.htm-dist.node00cached.xml.htm
fail !0 exec UDM_TEST_DBADDR0="file://$(UDM_TEST_DIR)/node00cached.xml file://$(UDM_TEST_DIR)/node00cached.xml" $(SEARCH) -d $(UDM_TEST_ROOT)/include/make-search-htm.htm > $(UDM_TEST_DIR)/search.htm-dist.node00cached-2x.xml.htm

fail !0 exec $(SEARCH) -d $(UDM_TEST_ROOT)/include/make-node-xml.htm > $(UDM_TEST_DIR)/node.xml
fail !0 exec UDMSEARCH_TEMPLATE=$(UDM_TEST_DIR)/node.xml QUERY_STRING="q=test" $(SEARCH) > $(UDM_TEST_DIR)/node00.xml
fail !0 exec UDMSEARCH_TEMPLATE=$(UDM_TEST_DIR)/search.htm-dist.htm QUERY_STRING="q=test" $(SEARCH)|grep -v seconds  > $(UDM_TEST_DIR)/node00htm.htm
fail !0 exec UDMSEARCH_TEMPLATE=$(UDM_TEST_DIR)/search.htm-dist.node00.xml.htm QUERY_STRING="q=test" $(SEARCH)|grep -v seconds > $(UDM_TEST_DIR)/node00xml.htm
fail !0 mdiff $(UDM_TEST_DIR)/node00htm.htm $(UDM_TEST_DIR)/node00xml.htm
fail !0 exec rm $(UDM_TEST_DIR)/node00.xml
fail !0 exec rm $(UDM_TEST_DIR)/node00htm.htm
fail !0 exec rm $(UDM_TEST_DIR)/node00xml.htm

# Testing node.xml with cached copies
# Create a cached copy response directly,
# then from a single XML DBAddr, then from two XML DBAddr's
fail !0 exec UDMSEARCH_TEMPLATE=$(UDM_TEST_DIR)/node.xml QUERY_STRING="q=test&cc=1&URL=http:%2F%2Fsite%2Ftest1.html" $(SEARCH) > $(UDM_TEST_DIR)/node00cached.xml
fail !0 exec UDMSEARCH_TEMPLATE=$(UDM_TEST_DIR)/search.htm-dist.htm QUERY_STRING="q=this&cc=1&URL=http:%2F%2Fsite%2Ftest1.html" $(SEARCH) > $(UDM_TEST_DIR)/node00cached.1db.htm.htm
fail !0 exec UDMSEARCH_TEMPLATE=$(UDM_TEST_DIR)/search.htm-dist.node00cached.xml.htm    QUERY_STRING="q=this&cc=1&URL=http:%2F%2Fsite%2Ftest1.html" $(SEARCH) > $(UDM_TEST_DIR)/node00cached.1db.xml.htm
fail !0 exec UDMSEARCH_TEMPLATE=$(UDM_TEST_DIR)/search.htm-dist.node00cached-2x.xml.htm QUERY_STRING="q=this&cc=1&URL=http:%2F%2Fsite%2Ftest1.html" $(SEARCH) > $(UDM_TEST_DIR)/node00cached.2db.xml.htm
# All three cached copieds should give the same result
fail !0 mdiff $(UDM_TEST_DIR)/node00cached.1db.htm.htm $(UDM_TEST_DIR)/node00cached.1db.xml.htm
fail !0 mdiff $(UDM_TEST_DIR)/node00cached.1db.htm.htm $(UDM_TEST_DIR)/node00cached.2db.xml.htm

fail !0 exec rm $(UDM_TEST_DIR)/node00cached.1db.htm.htm
fail !0 exec rm $(UDM_TEST_DIR)/node00cached.1db.xml.htm
fail !0 exec rm $(UDM_TEST_DIR)/node00cached.2db.xml.htm
fail !0 exec rm $(UDM_TEST_DIR)/node00cached.xml

fail !0 exec rm $(UDM_TEST_DIR)/node.xml
fail !0 exec rm $(UDM_TEST_DIR)/search.htm-dist.htm
fail !0 exec rm $(UDM_TEST_DIR)/search.htm-dist.node00.xml.htm
fail !0 exec rm $(UDM_TEST_DIR)/search.htm-dist.node00cached.xml.htm
fail !0 exec rm $(UDM_TEST_DIR)/search.htm-dist.node00cached-2x.xml.htm


fail !0 mdiff $(UDM_TEST_DIR)/search.res $(UDM_TEST_DIR)/search.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/search.rej

fail !0 exec $(INDEXER) --sqlmon $(UDM_TEST_DIR)/indexer.conf < $(UDM_TEST_DIR)/qtrack.tst > $(UDM_TEST_DIR)/qtrack.rej
fail !0 mdiff $(UDM_TEST_DIR)/qtrack.res $(UDM_TEST_DIR)/qtrack.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/qtrack.rej

pass 0 exec  $(INDEXER) --drop $(UDM_TEST_DIR)/indexer.conf 1>&2
