skip !0 exec $(INDEXER) --checkconf  $(UDM_TEST_DIR)/indexer.conf 1>&2

fail 20 exec $(INDEXER) --drop   $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) --create $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) --crawl  $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) --index  $(UDM_TEST_DIR)/indexer.conf 1>&2

fail !0 exec $(SEARCHSTD) "t1w1 %26 t1w2"             > $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "t1w2 %26 t1w1"            >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "t1w1 %26 ~t1w3"           >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "~t1w3 %26 t1w2"           >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "t1w1 | t1w3"              >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "\"t1w1 t1w2\""            >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "\"t2w1 t2w2 t2w1\""       >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "\"t3w1 t3w1 t3w2\""       >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "\"t4w1 t4w2 t4w2\""       >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "'t1w1 t2w2'"              >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "t1w1 t2w3&m=any"          >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "t1w1 t2w3&m=all"          >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "\"t3w1 %26 t3w1 | t3w2\"" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "\"t5w1 t5w2 t5w3\""       >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "\"t5w2 t5w3\""            >> $(UDM_TEST_DIR)/search.rej

# Test two phrases, make sure both are highlighted
fail !0 exec $(SEARCHSTD) "t1w1_t1w2 t2w1_t2w2"      >> $(UDM_TEST_DIR)/search.rej

# Test "Unsupported DBAddr" error message
fail !0 exec $(SEARCH) -d $(UDM_TEST_DIR)/bad-dbaddr.htm >> $(UDM_TEST_DIR)/search.rej

fail !0 mdiff $(UDM_TEST_DIR)/search.res $(UDM_TEST_DIR)/search.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/search.rej

pass 0 exec  $(INDEXER) --drop $(UDM_TEST_DIR)/indexer.conf 1>&2
