skip !0 exec $(INDEXER) --checkconf  $(UDM_TEST_DIR)/indexer.conf 1>&2

fail 20 exec $(INDEXER) --drop   $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) --create $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) --crawl  -v 6 $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) --index  -v 6 $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) --sqlmon $(UDM_TEST_DIR)/indexer.conf < $(UDM_TEST_DIR)/query.tst > $(UDM_TEST_DIR)/query.rej
fail !0 exec $(INDEXER) -v0 --exec "SELECT word FROM bdict WHERE word NOT LIKE '&%' AND word NOT LIKE '#%' ORDER BY word" -d $(UDM_TEST_DIR)/indexer.conf >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(INDEXER) -v0 --exec "SELECT word FROM bdict WHERE word LIKE '&%' ORDER BY word" -d $(UDM_TEST_DIR)/indexer.conf >> $(UDM_TEST_DIR)/query.rej
fail !0 mdiff $(UDM_TEST_DIR)/query.rej $(UDM_TEST_DIR)/query.res
fail !0 exec rm -f $(UDM_TEST_DIR)/query.rej

fail !0 exec $(SEARCHSTD) "%E9%82%A3%E6%97%B6"       > $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "%E9%82%A3-%E6%97%B6"      >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "%22%E9%82%A3%E6%97%B6%22" >> $(UDM_TEST_DIR)/search.rej

fail !0 exec $(SEARCHSTD) "1-%E5%9B%A0-2" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "a-%E5%9B%A0-b" >> $(UDM_TEST_DIR)/search.rej

fail !0 exec $(SEARCHSTD) "1%E5%9B%A02&m=all" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "a%E5%9B%A0b&m=all" >> $(UDM_TEST_DIR)/search.rej

fail !0 exec $(SEARCHSTD) "1%E5%9B%A02&m=phrase" >> $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCHSTD) "a%E5%9B%A0b&m=phrase" >> $(UDM_TEST_DIR)/search.rej

fail !0 mdiff $(UDM_TEST_DIR)/search.res $(UDM_TEST_DIR)/search.rej
fail !0 exec rm -f $(UDM_TEST_DIR)/search.rej

pass 0 exec  $(INDEXER) --drop $(UDM_TEST_DIR)/indexer.conf 1>&2
